This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 859808 - virsh iface-bridge/iface-unbridge failed
virsh iface-bridge/iface-unbridge failed
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Laine Stump
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 01:48 EDT by EricLee
Modified: 2012-09-26 10:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-26 10:17:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description EricLee 2012-09-24 01:48:05 EDT
Description of problem:
virsh iface-bridge/iface-unbridge failed

Version-Release number of selected component (if applicable):
# rpm -qa libvirt qemu-kvm-rhev ; uname -r
qemu-kvm-rhev-0.12.1.2-2.312.el6.x86_64
libvirt-0.10.2-0rc1.el6.x86_64
2.6.32-303.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1.virsh # iface-bridge eth0 br0 --no-stp
Created bridge br0 with attached device eth0

error: Failed to start bridge interface br0
error: internal error failed to create (start) interface br0: failed to execute external program - Running 'ifup eth0' failed with exit code 3: Error: Timeout 90 sec expired.
Active connection state: activating
Active connection path: /org/freedesktop/NetworkManager/ActiveConnection/1

but then use "service network restart" or "dhclient br0" can make br0 working well.

2.virsh # iface-unbridge br0
Device eth0 un-attached from bridge br0
error: Failed to start interface eth0
error: internal error failed to create (start) interface eth0: failed to execute external program - Running 'ifup eth0' failed with exit code 1:
Determining IP information for eth0...dhclient(32410) is already running - exiting.

This version of ISC DHCP is based on the release available
on ftp.isc.org.  Features have been added and other changes
have been made to the base software release in order to make
it work better with this distribution.

Please report for this software via the Red Hat Bugzilla site:
    http://bugzilla.redhat.com

exiting.
 failed.

But the network just come back to using eth0 not br0, and also work well.
  
Actual results:
As steps

Expected results:
No error:
virsh # iface-bridge eth0 br0 --no-stp
Created bridge eth0 with attached device br0
Bridge interface br0 started

and then

virsh # iface-unbridge  br0
Device eth0 un-attached from bridge br0
Interface eth0 started

Additional info:
Comment 2 Laine Stump 2012-09-25 12:48:43 EDT
Is NetworkManager enabled/running on the test system? If so, please try again with NetworkManager disabled.

Is there actually a 90 second delay before the command fails? (as implied by the error message)

Also, is there any output in /var/log/messages during this time?
Comment 3 EricLee 2012-09-26 01:23:49 EDT
(In reply to comment #2)
> Is NetworkManager enabled/running on the test system? If so, please try
> again with NetworkManager disabled.
> 

It is indeed NetworkManager causing that problem, it works well after NetworkManager disabled.
And I think we should clarify it in our manual DOC or some other place.

> Is there actually a 90 second delay before the command fails? (as implied by
> the error message)

Yes, there was 90 seconds intermission beween excuting the command and throwing out the error message.

> 
> Also, is there any output in /var/log/messages during this time?

However, there is another problem with "--delay" option even with NetworkManager disabled.

virsh # iface-bridge eth0 br1 --no-stp --delay 100
Created bridge br1 with attached device eth0
error: Failed to start bridge interface br1
error: internal error failed to create (start) interface br1: failed to execute external program - Running 'ifup br1' failed with exit code 1: 
Determining IP information for br1...PING 10.66.7.254 (10.66.7.254) from 10.66.5.143 br1: 56(84) bytes of data.

--- 10.66.7.254 ping statistics ---
4 packets transmitted, 0 received, +3 errors, 100% packet loss, time 3000ms
pipe 3
 failed.

virsh # iface-list --all
Name                 State      MAC Address
--------------------------------------------
br1                  active     00:23:ae:70:05:36
lo                   active     00:00:00:00:00:00

But br1 can not get ip:
# ifconfig 
br1       Link encap:Ethernet  HWaddr 00:23:AE:70:05:36  
          inet6 addr: fe80::223:aeff:fe70:536/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:534 errors:0 dropped:0 overruns:0 frame:0
          TX packets:26 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:33264 (32.4 KiB)  TX bytes:5811 (5.6 KiB)

eth0      Link encap:Ethernet  HWaddr 00:23:AE:70:05:36  
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:5001 errors:0 dropped:0 overruns:0 frame:0
          TX packets:2206 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:1236900 (1.1 MiB)  TX bytes:188153 

unbridge failed:
virsh # iface-unbridge br1
error: Failed to destroy bridge interface br1
error: internal error failed to destroy (stop) interface br1: failed to execute external program - Running 'ifdown br1' failed with exit code 1: 

but it destroy the iface br1:
virsh # iface-list --all
Name                 State      MAC Address
--------------------------------------------
br1                  inactive   00:23:ae:70:05:36
lo                   active     00:00:00:00:00:00

and then unbridge successfully:
virsh # iface-unbridge br1
Device eth0 un-attached from bridge br1
Interface eth0 started

# tail -f /var/log/message :
Sep 26 11:59:44 libn755 dnsmasq[2575]: reading /etc/resolv.conf
Sep 26 11:59:44 libn755 dnsmasq[2575]: using nameserver 10.11.255.155#53
Sep 26 11:59:44 libn755 dnsmasq[2575]: using nameserver 10.64.255.10#53
Sep 26 11:59:44 libn755 dnsmasq[2575]: using nameserver 10.66.127.10#53
Sep 26 11:59:44 libn755 dnsmasq[2575]: using local addresses only for unqualified names
Sep 26 11:59:44 libn755 dnsmasq[2368]: reading /etc/resolv.conf
Sep 26 11:59:44 libn755 dnsmasq[2368]: using nameserver 10.11.255.155#53
Sep 26 11:59:44 libn755 dnsmasq[2368]: using nameserver 10.64.255.10#53
Sep 26 11:59:44 libn755 dnsmasq[2368]: using nameserver 10.66.127.10#53
Sep 26 11:59:44 libn755 dnsmasq[2368]: using local addresses only for unqualified names
Sep 26 11:59:48 libn755 avahi-daemon[1831]: Withdrawing address record for 10.66.5.143 on eth0.
Sep 26 11:59:48 libn755 avahi-daemon[1831]: Leaving mDNS multicast group on interface eth0.IPv4 with address 10.66.5.143.
Sep 26 11:59:48 libn755 avahi-daemon[1831]: Interface eth0.IPv4 no longer relevant for mDNS.
Sep 26 11:59:48 libn755 avahi-daemon[1831]: Withdrawing address record for fe80::223:aeff:fe70:536 on eth0.
Sep 26 11:59:48 libn755 kernel: device eth0 entered promiscuous mode
Sep 26 11:59:48 libn755 kernel: br1: port 1(eth0) entering learning state
Sep 26 11:59:48 libn755 dhclient[6306]: DHCPREQUEST on br1 to 255.255.255.255 port 67 (xid=0x43bf133a)
Sep 26 11:59:49 libn755 avahi-daemon[1831]: Registering new address record for fe80::223:aeff:fe70:536 on br1.*.
Sep 26 11:59:54 libn755 dhclient[6306]: DHCPREQUEST on br1 to 255.255.255.255 port 67 (xid=0x43bf133a)
Sep 26 11:59:57 libn755 kernel: connection1:0: ping timeout of 5 secs expired, recv timeout 5, last rx 4295913273, last ping 4295918273, now 4295923273
Sep 26 11:59:57 libn755 kernel: connection1:0: detected conn error (1011)
Sep 26 11:59:58 libn755 iscsid: Kernel reported iSCSI connection 1:0 error (1011 - ISCSI_ERR_CONN_FAILED: iSCSI connection failed) state (3)
Sep 26 12:00:00 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:00:03 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:00:04 libn755 dhclient[6306]: DHCPDISCOVER on br1 to 255.255.255.255 port 67 interval 5 (xid=0x371d04d3)
Sep 26 12:00:06 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:00:09 libn755 dhclient[6306]: DHCPDISCOVER on br1 to 255.255.255.255 port 67 interval 8 (xid=0x371d04d3)
Sep 26 12:00:09 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:00:12 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:00:15 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:00:17 libn755 dhclient[6306]: DHCPDISCOVER on br1 to 255.255.255.255 port 67 interval 11 (xid=0x371d04d3)
Sep 26 12:00:18 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:00:21 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:00:24 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:00:27 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:00:28 libn755 dhclient[6306]: DHCPDISCOVER on br1 to 255.255.255.255 port 67 interval 14 (xid=0x371d04d3)
Sep 26 12:00:30 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:00:33 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:00:36 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:00:39 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:00:42 libn755 dhclient[6306]: DHCPDISCOVER on br1 to 255.255.255.255 port 67 interval 12 (xid=0x371d04d3)
Sep 26 12:00:42 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:00:45 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:00:48 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:00:51 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:00:54 libn755 dhclient[6306]: DHCPDISCOVER on br1 to 255.255.255.255 port 67 interval 11 (xid=0x371d04d3)
Sep 26 12:00:54 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:00:57 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:01:00 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:01:03 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:01:05 libn755 dhclient[6306]: No DHCPOFFERS received.
Sep 26 12:01:05 libn755 dhclient[6306]: Trying recorded lease 10.66.5.143
Sep 26 12:01:05 libn755 avahi-daemon[1831]: Joining mDNS multicast group on interface br1.IPv4 with address 10.66.5.143.
Sep 26 12:01:05 libn755 avahi-daemon[1831]: New relevant interface br1.IPv4 for mDNS.
Sep 26 12:01:05 libn755 avahi-daemon[1831]: Registering new address record for 10.66.5.143 on br1.IPv4.
Sep 26 12:01:06 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:01:08 libn755 avahi-daemon[1831]: Withdrawing address record for 10.66.5.143 on br1.
Sep 26 12:01:08 libn755 avahi-daemon[1831]: Leaving mDNS multicast group on interface br1.IPv4 with address 10.66.5.143.
Sep 26 12:01:08 libn755 avahi-daemon[1831]: Interface br1.IPv4 no longer relevant for mDNS.
Sep 26 12:01:09 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:01:12 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:01:15 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:01:18 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:01:21 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:01:24 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:01:27 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:01:28 libn755 kernel: br1: port 1(eth0) entering forwarding state
Sep 26 12:01:30 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:01:33 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:01:36 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:01:39 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:01:42 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:01:45 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:01:48 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:01:51 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:01:54 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:01:57 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:01:57 libn755 kernel: session1: session recovery timed out after 120 secs
Sep 26 12:02:00 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:02:03 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:02:06 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:02:09 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:02:12 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:02:15 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:02:18 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:02:21 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:02:24 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:02:27 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:02:30 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:02:33 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:02:36 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:02:39 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:02:42 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:02:45 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:02:48 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:02:51 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:02:54 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:02:57 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:03:00 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:03:03 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:03:06 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:03:09 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:03:12 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:03:15 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:03:18 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:03:21 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:03:24 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:03:27 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:03:30 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:03:33 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:03:36 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:03:39 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:03:42 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:03:45 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:03:48 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:03:51 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:03:54 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:03:57 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:04:00 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:04:03 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:04:06 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:04:09 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:04:12 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:04:15 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:04:18 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:04:21 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:04:24 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:04:27 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:04:30 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:04:33 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:04:36 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:04:39 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:04:42 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:04:45 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:04:48 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:04:51 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:04:54 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:04:57 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:05:00 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:05:03 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:05:06 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:05:09 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:05:12 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:05:15 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:05:18 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:05:21 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:05:24 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:05:27 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:05:30 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:05:33 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:05:36 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:05:39 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:05:42 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:05:45 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:05:48 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:05:51 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:05:54 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:05:57 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:06:00 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:06:03 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:06:06 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:06:09 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:06:12 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:06:15 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:06:18 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:06:21 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:06:24 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:06:27 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:06:30 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:06:33 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:06:36 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:06:39 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:06:42 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:06:45 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:06:48 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:06:51 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:06:54 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:06:57 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:07:00 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:07:03 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:07:06 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:07:09 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:07:12 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:07:15 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:07:18 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:07:21 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:07:24 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:07:27 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:07:29 libn755 avahi-daemon[1831]: Withdrawing address record for fe80::223:aeff:fe70:536 on br1.
Sep 26 12:07:29 libn755 kernel: br1: port 1(eth0) entering disabled state
Sep 26 12:07:30 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:07:33 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:07:36 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:07:39 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:07:42 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:07:45 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:07:48 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:07:51 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:07:54 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:07:57 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:08:00 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:08:03 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:08:06 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:08:09 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:08:12 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:08:15 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:08:18 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:08:21 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:08:24 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:08:27 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:08:30 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:08:33 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:08:36 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:08:39 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:08:42 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:08:45 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:08:48 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:08:51 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:08:54 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:08:57 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:09:00 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:09:03 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:09:06 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:09:09 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:09:12 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:09:15 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:09:18 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:09:21 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:09:24 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:09:27 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:09:30 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:09:33 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:09:36 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:09:39 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:09:42 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:09:45 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:09:48 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:09:51 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:09:54 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:09:57 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:10:00 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:10:03 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:10:06 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:10:09 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:10:12 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:10:15 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:10:18 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:10:21 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:10:24 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:10:27 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:10:30 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:10:33 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:10:36 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:10:39 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:10:42 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:10:45 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:10:48 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:10:51 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:10:54 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:10:57 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:11:00 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:11:03 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:11:06 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:11:09 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:11:12 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:11:15 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:11:18 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:11:21 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:11:22 libn755 kernel: device eth0 left promiscuous mode
Sep 26 12:11:22 libn755 kernel: br1: port 1(eth0) entering disabled state
Sep 26 12:11:23 libn755 kernel: ADDRCONF(NETDEV_UP): eth0: link is not ready
Sep 26 12:11:24 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:11:25 libn755 kernel: e1000e: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None
Sep 26 12:11:25 libn755 kernel: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
Sep 26 12:11:27 libn755 dhclient[6732]: DHCPREQUEST on eth0 to 255.255.255.255 port 67 (xid=0x29ebe5c6)
Sep 26 12:11:27 libn755 dhclient[6732]: DHCPACK from 10.66.7.254 (xid=0x29ebe5c6)
Sep 26 12:11:27 libn755 iscsid: cannot make a connection to 10.66.90.100:3260 (-1,101)
Sep 26 12:11:27 libn755 avahi-daemon[1831]: Registering new address record for fe80::223:aeff:fe70:536 on eth0.*.
Sep 26 12:11:28 libn755 avahi-daemon[1831]: Joining mDNS multicast group on interface eth0.IPv4 with address 10.66.5.143.
Sep 26 12:11:28 libn755 avahi-daemon[1831]: New relevant interface eth0.IPv4 for mDNS.
Sep 26 12:11:28 libn755 avahi-daemon[1831]: Registering new address record for 10.66.5.143 on eth0.IPv4.
Sep 26 12:11:28 libn755 NET[6784]: /sbin/dhclient-script : updated /etc/resolv.conf
Sep 26 12:11:28 libn755 dhclient[6732]: bound to 10.66.5.143 -- renewal in 39008 seconds.
Sep 26 12:11:30 libn755 kernel: connection1:0: detected conn error (1020)
Sep 26 12:11:31 libn755 iscsid: connection1:0 is operational after recovery (231 attempts)
Sep 26 12:11:42 libn755 dnsmasq[2575]: reading /etc/resolv.conf
Sep 26 12:11:42 libn755 dnsmasq[2575]: using nameserver 10.11.255.155#53
Sep 26 12:11:42 libn755 dnsmasq[2575]: using nameserver 10.64.255.10#53
Sep 26 12:11:42 libn755 dnsmasq[2575]: using nameserver 10.66.127.10#53
Sep 26 12:11:42 libn755 dnsmasq[2575]: using local addresses only for unqualified names
Sep 26 12:11:42 libn755 dnsmasq[2368]: reading /etc/resolv.conf
Sep 26 12:11:42 libn755 dnsmasq[2368]: using nameserver 10.11.255.155#53
Sep 26 12:11:42 libn755 dnsmasq[2368]: using nameserver 10.64.255.10#53
Sep 26 12:11:42 libn755 dnsmasq[2368]: using nameserver 10.66.127.10#53
Sep 26 12:11:42 libn755 dnsmasq[2368]: using local addresses only for unqualified names



However, if I set the value of delay as less(incloude) than 90 seconds, the command excute suceesfully after some seconds(the delay time I set) interval.

Acording to the testing result above, I am thinking is there limit to the value of delay time? If so, we should clarify in DOC. However if not, there is a bug in the code.
Comment 4 Laine Stump 2012-09-26 10:17:07 EDT
NetworkManager and bridges still do not play together well, and the documentation has always recommended disabling NetworkManager before adding a bridge. In RHEL6.3/6.4 the situation is better, but still not ideal, and it's still recommended that NetworkManager be disabled when using bridges.

If there is a particular place in the documentation that you think should specifically mention this, please file a bug against the documentation.

As for the maximum wait time of 90 seconds, this is because of the particular configuration of your ethernet device and the services that are using it; since a delay time on a bridge translates into having no network traffic on the interface for that number of seconds, if you have dhcp configured for the interface, but a delay longer than the timeout period of the dhcp client, you are doomed to failure. In other situations a longer delay could be perfectly valid, so we can't just set an arbitrary upper limit. Knowing that sort of detail for every protocol using the interface and then automatically limiting the stp delay based on those details is beyond the scope of this command. It may bear mentioning in the documentation somewhere, though. Again, if/when there is a specific piece of documentation for this command, please file a bug against the docs.

Since operation with NetworkManager enabled is not supported (and there is basically nothing libvirt can do about the issues that exist), and the other things mentioned are things that should be documented as limitations, I'm closing this bug. If you can find a specific docs component that should mention these limitations (maybe one of the virt guides has a section), you can either reopen this bug assigned to the doc component, or open a new bug.

Note You need to log in before you can comment on or make changes to this bug.